/* GCompris - Data.qml
 *
 * SPDX-FileCopyrightText: 2023 Bruno Anselme <be.root@free.fr>
 *
 * Authors:
 *   Bruno Anselme <be.root@free.fr>
 *
 *   SPDX-License-Identifier: GPL-3.0-or-later
 */
import core 1.0

Data {
    objective: qsTr("Copy and complete this frieze: patterns between 6 and 8, any combination of shapes, colors/signs and sizes.")
    difficulty: 6
    data: [
        {   "title": qsTr("Copy and complete this frieze."),
            "hidden": false,
            "shuffle": true,
            "shown": 12,
            "subLevels": [
                {
                    "count": 24,
                    "tokens": [
                        [ 1, 1, 1 ],
                        [ 2, 2, 1 ],
                        [ 4, 1, 2 ],
                        [ 2, 2, 2 ],
                        [ 3, 3, 1 ],
                        [ 4, 4, 1 ]
                    ],

                    "patLength": 6
                },
                {
                    "count": 24,
                    "tokens": [
                        [ 1, 1, 1 ],
                        [ 2, 2, 1 ],
                        [ 1, 1, 2 ],
                        [ 3, 3, 2 ],
                        [ 2, 1, 1 ],
                        [ 2, 2, 2 ],
                        [ 3, 3, 1 ],
                        [ 4, 4, 1 ]
                    ],

                    "patLength": 7
                },
                {
                    "count": 24,
                    "tokens": [
                        [ 1, 1, 1 ],
                        [ 4, 1, 2 ],
                        [ 2, 2, 2 ],
                        [ 3, 3, 2 ],
                        [ 2, 1, 1 ],
                        [ 2, 3, 2 ],
                        [ 1, 1, 2 ],
                        [ 1, 3, 1 ]
                    ],

                    "patLength": 6
                },
                {
                    "count": 24,
                    "tokens": [
                        [ 1, 1, 1 ],
                        [ 1, 2, 2 ],
                        [ 1, 3, 1 ],
                        [ 1, 4, 2 ],
                        [ 1, 1, 2 ],
                        [ 1, 2, 1 ],
                        [ 1, 3, 2 ],
                        [ 2, 1, 1 ],
                        [ 2, 2, 2 ],
                        [ 2, 3, 1 ],
                        [ 2, 4, 2 ],
                        [ 2, 1, 2 ],
                        [ 2, 2, 1 ],
                        [ 2, 3, 2 ]
                    ],

                    "patLength": 8
                },
                {
                    "count": 24,
                    "tokens": [
                        [ 1, 1, 1 ],
                        [ 1, 2, 2 ],
                        [ 1, 3, 1 ],
                        [ 1, 4, 2 ],
                        [ 1, 1, 2 ],
                        [ 1, 2, 1 ],
                        [ 1, 3, 2 ]
                    ],

                    "patLength": 7
                },
                {
                    "count": 24,
                    "tokens": [
                        [ 1, 1, 1 ],
                        [ 2, 2, 2 ],
                        [ 3, 3, 1 ],
                        [ 1, 3, 1 ],
                        [ 1, 4, 2 ],
                        [ 4, 4, 2 ],
                        [ 1, 1, 2 ],
                        [ 2, 2, 1 ],
                        [ 3, 3, 2 ]
                    ],

                    "patLength": 6
                },
                {
                    "count": 24,
                    "tokens": [
                        [ 1, 1, 1 ],
                        [ 2, 2, 2 ],
                        [ 1, 3, 1 ],
                        [ 1, 4, 2 ],
                        [ 3, 3, 1 ],
                        [ 4, 4, 2 ],
                        [ 1, 1, 2 ],
                        [ 2, 2, 1 ],
                        [ 4, 2, 1 ],
                        [ 3, 3, 2 ]
                    ],

                    "patLength": 8
                },
                {
                    "count": 24,
                    "tokens": [
                        [ 1, 1, 1 ],
                        [ 1, 2, 2 ],
                        [ 1, 1, 2 ],
                        [ 2, 1, 1 ],
                        [ 2, 2, 2 ],
                        [ 2, 3, 2 ],
                        [ 2, 3, 1 ],
                        [ 2, 4, 1 ],
                        [ 3, 1, 2 ]
                    ],

                    "patLength": 7
                },
                {
                    "count": 24,
                    "tokens": [
                        [ 1, 1, 1 ],
                        [ 2, 2, 2 ],
                        [ 3, 3, 1 ],
                        [ 2, 1, 1 ],
                        [ 2, 2, 1 ],
                        [ 3, 4, 1 ],
                        [ 2, 4, 2 ],
                        [ 2, 2, 1 ],
                        [ 2, 3, 2 ],
                        [ 3, 1, 2 ]
                    ],

                    "patLength": 8
                },
                {
                    "count": 24,
                    "tokens": [
                        [ 1, 1, 1 ],
                        [ 2, 2, 2 ],
                        [ 3, 3, 2 ],
                        [ 4, 1, 1 ],
                        [ 2, 1, 1 ],
                        [ 4, 4, 1 ],
                        [ 2, 4, 2 ],
                        [ 2, 3, 2 ],
                        [ 3, 1, 2 ]
                    ],

                    "patLength": 7
                },
                {
                    "count": 24,
                    "tokens": [
                        [ 1, 1, 1 ],
                        [ 1, 1, 2 ],
                        [ 1, 2, 1 ],
                        [ 2, 2, 2 ],
                        [ 3, 3, 2 ],
                        [ 4, 1, 1 ],
                        [ 2, 1, 2 ],
                        [ 4, 2, 1 ],
                        [ 2, 1, 1 ],
                        [ 2, 3, 2 ],
                        [ 3, 1, 2 ]
                    ],

                    "patLength": 8
                },
                {
                    "count": 24,
                    "tokens": [
                        [ 1, 1, 1 ],
                        [ 2, 2, 2 ],
                        [ 3, 3, 2 ],
                        [ 4, 1, 1 ],
                        [ 2, 4, 1 ],
                        [ 3, 4, 2 ],
                        [ 4, 3, 1 ],
                        [ 2, 1, 1 ],
                        [ 2, 3, 2 ],
                        [ 3, 1, 2 ]
                    ],

                    "patLength": 8
                }
            ]
        }
    ]
}
