/* GCompris - Data.qml
 *
 * SPDX-FileCopyrightText: 2020 Shubham Mishra <email.shivam828787@gmail.com>
 *
 * Authors:
 *   shivam828787@gmail.com <email.shivam828787@gmail.com>
 *
 *   SPDX-License-Identifier: GPL-3.0-or-later
 */
import core 1.0

// NOTE: Never put more than max 6 children and 6 candy per children.

Data {
    objective: qsTr("Maximum 25 pieces of candy and 5 kids, no rest.")
    difficulty: 4
    data:  [
        [
            {
                "instruction": qsTr("Paul wants to share 2 pieces of candy equally between 2 of his girl friends. Can you help him? First, place the children in the center, then drag the pieces of candy to each of them."),
                "randomisedInputData": false,
                "totalBoys": 0,
                "totalGirls": 2,
                "totalCandies": 2,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Now he wants to share 4 pieces of candy equally among his friends."),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 1,
                "totalCandies": 4,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Can you now share 6 of Paul's pieces of candy equally among his friends?"),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 1,
                "totalCandies": 6,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Some of his friends already have pieces of candy. He wants to give them 7 more pieces so that they all have the same amount."),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 1,
                "totalCandies": 8,
                "forceShowBasket": false,
                "placedInGirls": 1,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Paul has only 12 pieces of candy left. He eats 2 pieces of candy and he gives the rest to his friends. Can you help him split equally the 10 remaining pieces of candy?"),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 1,
                "totalCandies": 10,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            }
        ],
        [
            {
                "instruction": qsTr("George wants to share 3 pieces of candy equally between 3 of his girl friends. Can he split the pieces of candy equally?"),
                "randomisedInputData": false,
                "totalBoys": 0,
                "totalGirls": 3,
                "totalCandies": 3,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Maria wants to share 6 pieces of candy equally between 3 of her friends: 1 girl and 2 boys. Can she split the pieces of candy equally?"),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 1,
                "totalCandies": 6,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("John wants to share 8 pieces of candy equally between 3 of his friends: 1 boy and 2 girls. The boy already has one. Can he make sure that they all have the same amount?"),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 2,
                "totalCandies": 9,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 1
            },
            {
                "instruction": qsTr("Paul wants to share 12 pieces of candy equally between 3 of his friends: 2 boys and 1 girl. Can he split the pieces of candy equally?"),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 1,
                "totalCandies": 12,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Maria wants to share 11 pieces of candy between 3 of her friends: 1 boy and 2 girls. The girls already have some pieces of candy. Can she split the pieces of candy so that they all have the same amount?"),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 2,
                "totalCandies": 15,
                "forceShowBasket": false,
                "placedInGirls": 2,
                "placedInBoys": 0
            }
        ],
        [
            {
                "instruction": qsTr("Alice wants to share 4 pieces of candy equally between 4 of her girl friends. Can you help her?"),
                "randomisedInputData": false,
                "totalBoys": 0,
                "totalGirls": 4,
                "totalCandies": 4,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Now, Alice wants to give 8 pieces of candy to her friends."),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 2,
                "totalCandies": 8,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Alice wants to give 10 pieces of candy to her friends, 1 girl and 3 boys, so that they all have the same amount. The girls already have some pieces of candy."),
                "randomisedInputData": false,
                "totalBoys": 3,
                "totalGirls": 1,
                "totalCandies": 12,
                "forceShowBasket": false,
                "placedInGirls": 2,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Alice wants to give 16 pieces of candy to her friends."),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 2,
                "totalCandies": 16,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Alice wants to give pieces of candy to 4 friends. Some of them already have some pieces of candy. Can you help her split 14 pieces of candy so that all her friends have the same amount?"),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 2,
                "totalCandies": 20,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 3
            }
        ],
        [
            {
                "instruction": qsTr("Michael wants to share 5 pieces of candy equally between 5 of his girl friends. Can you help him?"),
                "randomisedInputData": false,
                "totalBoys": 0,
                "totalGirls": 5,
                "totalCandies": 5,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Helen has 5 friends: 2 boys and 3 girls. She wants to give them 10 pieces of candy. Help her split the pieces of candy equally between her friends."),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 3,
                "totalCandies": 10,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Michelle wants to share 12 pieces of candy equally between her 4 brothers and 1 sister, so that they all have the same amount. Her sister already has some pieces of candy."),
                "randomisedInputData": false,
                "totalBoys": 4,
                "totalGirls": 1,
                "totalCandies": 15,
                "forceShowBasket": false,
                "placedInGirls": 3,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Thomas wants to share his 20 pieces of candy with his friends: 1 boy and 4 girls. Can you help him?"),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 4,
                "totalCandies": 20,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Paul wants to share 20 pieces of candy equally between 5 of his friends. They already have one piece of candy each. Can you help him?"),
                "randomisedInputData": false,
                "totalBoys": 3,
                "totalGirls": 2,
                "totalCandies": 25,
                "forceShowBasket": false,
                "placedInGirls": 1,
                "placedInBoys": 1
            }
        ],
        [
            {
                "instruction": qsTr("Charles wants to share his 6 pieces of candy equally with 2 of his girl friends. Can he split the pieces of candy equally?"),
                "randomisedInputData": false,
                "totalBoys": 0,
                "totalGirls": 2,
                "totalCandies": 6,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("For her birthday, Elizabeth has 8 pieces of candy to share with 3 of her friends: 2 girls and 1 boy. The girls already have some pieces of candy. How should she split the pieces of candy so that they all have the same amount?"),
                "randomisedInputData": false,
                "totalBoys": 1,
                "totalGirls": 2,
                "totalCandies": 12,
                "forceShowBasket": false,
                "placedInGirls": 2,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("Jason's father gave him 16 pieces of candy to share equally with his friends: 2 boys and 2 girls. Help him give the pieces of candy to his friends."),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 2,
                "totalCandies": 16,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            },
            {
                "instruction": qsTr("George wants to share 14 pieces of candy between 4 of his friends: 2 girls and 2 boys. The boys already have one piece of candy each. He wants all of them to have the same amount."),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 2,
                "totalCandies": 16,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 1
            },
            {
                "instruction": qsTr("Maria wants to share 25 pieces of candy equally between 5 of her friends: 3 girls and 2 boys. Can she split the pieces of candy equally?"),
                "randomisedInputData": false,
                "totalBoys": 2,
                "totalGirls": 3,
                "totalCandies": 25,
                "forceShowBasket": false,
                "placedInGirls": 0,
                "placedInBoys": 0
            }
        ]
    ]
}
